#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
%define		enable_autotools 1
%global		package_version 3.4.0
%global		package_name ovirt-log-collector

Summary:	Log Collector for Red Hat Storage Console
Name:		rhsc-log-collector
Version:	3.0.0
Release:	4.0%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source:		http://resources.ovirt.org/releases/stable/src/%{package_name}-%{package_version}.tar.gz
Group:		Storage/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	python
Requires:	python-dateutil
Requires:	python-lxml
Requires:	rhsc-sdk-python >= 3.0.0
Requires:	rhsc-lib
Requires:	logrotate
Requires:	sos
Requires:	openssh-clients
BuildRequires:	python2-devel
BuildRequires:	gettext
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel

Patch1: 0001-sos-added-ovirt_engine_reports-sos-plugin.patch
Patch2: 0002-sos-added-ovirt_engine_dwh-sos-plugin.patch
Patch3: 0003-config-Fix-typo-in-logcollector.conf.patch
Patch4: 0001-RHSC-Branding.patch
Patch5: 0001-bz#1098029-ask-password-before-collecting-logs.patch
Patch6: 0001-sos-added-gluster_nagios-sos-plugin.patch

%description
Log Collector tool for Red Hat Storage Console

%prep
%setup -q -n %{package_name}-%{package_version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build

%if 0%{?enable_autotools}
autoreconf -ivf
%endif

%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-log-collector %{buildroot}/%{_bindir}/rhsc-log-collector
echo ".so man8/engine-log-collector.8" > %{buildroot}/%{_mandir}/man8/rhsc-log-collector.8

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/logcollector.conf.d
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python_sitelib}/ovirt_log_collector/*.py*
%{python_sitelib}/ovirt_log_collector/helper/*.py*
%{python_sitelib}/sos/plugins/*.py*
%{_bindir}/engine-log-collector
%{_mandir}/man8/*
%{_bindir}/rhsc-log-collector

%changelog
* Fri Jun 13 2014 Arumugam Balamurugan <barumuga@redhat.com> - v3.0.0-4.0
- fix bz#1108532: collect nagios and pnp4nagios logs

* Thu Jun 05 2014 Arumugam Balamurugan <barumuga@redhat.com> - v3.0.0-3.0
- fix bz#1098029: ask engine password before collecting logs

* Wed May 14 2014 Arumugam Balamurugan <barumuga@redhat.com> - v3.0.0-2.0
- fix autodetect default datacenter in RHSC branding

* Tue May 13 2014 Arumugam Balamurugan <barumuga@redhat.com> - v3.0.0-1.0
- Initial build based on rhevm-log-collector-3.4.0-4
  dist-git 2ea364846f84c58d96591b73b6c857a5d6c67033
